The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Для KDevelop подготовлены средства для разработки на Python 3

18.03.2014 10:58

Анонсирован выпуск плагина kdevelop-python 1.6, добавляющего в интегрированную среду разработки KDevelop средства для создания приложений на языке Python. Kdevelop-python 1.6 является первым стабильным выпуском с поддержкой Python 3, ранее плагин ограничивался только поддержкой Python 2. Изначально поддержку Python 3 планировалось реализовать в выпуске 1.5, но данную возможность пришлось отложить почти на год из-за неготовности кода.

Kdevelop-python 1.6 совместим со средой KDevelop 4.6, но поддержка Python 2 и Python 3 разделена и не может использоваться одновременно. Для установки предлагаются разные ветки: kdev-python для Python 2 и kdev-python3 для Python 3. По умолчанию kdev-python3 привязан зависимостями к Python 3.4, более ранние версии Python 3.x не поддерживаются.

После подключения плагина в KDevelop для кода на языке Python становятся доступны все возможности среды, основанные на статическом анализе кода, включая проверку и подсветку синтаксиса с учетом особенностей семантики, автодополнение кода в зависимости от контекста, функции быстрого перехода на места определения переменных, средства навигации по функциям и классам.



  1. Главная ссылка к новости (http://scummos.blogspot.ru/201...)
  2. OpenNews: Релиз среды разработки приложений KDevelop 4.6.0
  3. OpenNews: Релиз среды разработки приложений KDevelop 4.5.0
  4. OpenNews: Для KDevelop доступен плагин, позволяющий разрабатывать приложения на языке Python
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/39336-kdevelop
Ключевые слова: kdevelop, python
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (6) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, koqep (ok), 11:06, 18/03/2014 [ответить]  
  • +/
    а с virtualenv работает?
     
  • 1.2, Gleb Chipiga (?), 11:18, 18/03/2014 [ответить]  
  • +/
    Поддержка 2-го и 3-го разделена, значит нельзя использовать два плагина в KDevelop или нельзя их использовать в одном проекте?
     
     
  • 2.6, Мися (?), 18:46, 18/03/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Вы в одном проекте используете и 2ой и 3ий Python?
     

  • 1.4, anonymus (?), 12:16, 18/03/2014 [ответить]  
  • +/
    А как в нем с поддержкой C++ сейчас? В 4.5 анализатор фейлил даже на простых шаблонах, плюс иногда внезапно ломался на ровном месте. Ну и еще поддержки qmake не было, с этим тоже ничего не поменялось?
     
     
  • 2.8, anonymous (??), 23:17, 18/03/2014 [^] [^^] [^^^] [ответить]  
  • +/
    > А как в нем с поддержкой C++ сейчас? В 4.5 анализатор фейлил
    > даже на простых шаблонах, плюс иногда внезапно ломался на ровном месте.
    > Ну и еще поддержки qmake не было, с этим тоже ничего
    > не поменялось?

    А у кого с поддержкой С++ нормально? (я серьёзно, если что. no trolling)

     

  • 1.7, Аноним (-), 19:26, 18/03/2014 [ответить]  
  • +/
    Отлично. Приличное автодополнение в IDE не на Джаве.
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру